> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ripio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reprocess A Crypto Receive Transaction By Hash

> Triggers a reprocess of a crypto receive transaction identified by its blockchain hash.

Useful when a deposit was not automatically detected or processed. The service will re-query the blockchain for the given hash and network combination.

The account must be fully operative for crypto operations.

**Rate limit:** 1 request per hash per reprocess window (cache-lock throttle). Additionally subject to the hourly rate limit scope `txn_reprocess_hash_hour`.

**How to obtain the required values:**
- `network`: use the `GET /network/currency-networks/{currency}/` endpoint. Use the `code` field of the desired network (e.g. `"bitcoin"`, `"ethereum"`).
- `currency`: ISO 4217 crypto currency code (e.g. `"BTC"`, `"ETH"`, `"USDT"`).

---

**Authorization**

- Requires a valid API key.



## OpenAPI

````yaml post /wallet/transactions/crypto/deposit/reprocess-hash/
openapi: 3.0.0
info:
  title: Ripio Gateway
  description: Ripio API - Services documentation.
  version: 0.1.0
  x-logo:
    url: https://cwstatic.nyc3.digitaloceanspaces.com/1996/bitcointrade.png
servers:
  - url: https://api.ripio.com
    description: Production environment
security: []
paths:
  /wallet/transactions/crypto/deposit/reprocess-hash/:
    post:
      tags:
        - Ripio Wallet
      summary: transactions - Reprocess a crypto receive transaction by hash
      description: >-
        Triggers a reprocess of a crypto receive transaction identified by its
        blockchain hash.


        Useful when a deposit was not automatically detected or processed. The
        service will re-query the blockchain for the given hash and network
        combination.


        The account must be fully operative for crypto operations.


        **Rate limit:** 1 request per hash per reprocess window (cache-lock
        throttle). Additionally subject to the hourly rate limit scope
        `txn_reprocess_hash_hour`.


        **How to obtain the required values:**

        - `network`: use the `GET /network/currency-networks/{currency}/`
        endpoint. Use the `code` field of the desired network (e.g. `"bitcoin"`,
        `"ethereum"`).

        - `currency`: ISO 4217 crypto currency code (e.g. `"BTC"`, `"ETH"`,
        `"USDT"`).


        ---


        **Authorization**


        - Requires a valid API key.
      parameters:
        - in: header
          name: authorization
          required: true
          description: The API key as a string.
          schema:
            type: string
        - in: header
          name: signature
          required: true
          description: >-
            See the [Generating
            Signature](/static/api/authentication#generating-signature) section
            for more details.
          schema:
            type: string
        - in: header
          name: timestamp
          required: true
          description: >-
            A timestamp in milliseconds. See the [Timestamp
            Security](/static/api/authentication#timestamp-security) section for
            more details.
          schema:
            type: number
        - in: header
          name: timstamp-tolerance
          required: false
          description: >-
            An additional, non-required parameter, that you can send to specify
            the number of milliseconds after the timestamp for the request to be
            valid. See the [Timestamp
            Security](/static/api/authentication#timestamp-security) section for
            more details.
          schema:
            type: number
      requestBody:
        content:
          application/json:
            schema:
              properties:
                txn_hash:
                  description: Blockchain transaction hash to reprocess.
                  type: string
                  example: >-
                    0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890ab
                currency:
                  description: ISO 4217 crypto currency code.
                  type: string
                  example: BTC
                network:
                  description: >-
                    Network code for the transaction (e.g. bitcoin, ethereum,
                    polygon).
                  type: string
                  example: bitcoin
              required:
                - txn_hash
                - currency
                - network
              type: object
            examples:
              reprocess_btc:
                summary: Reprocess BTC transaction on Bitcoin network
                value:
                  txn_hash: >-
                    0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890ab
                  currency: BTC
                  network: bitcoin
              reprocess_usdt_eth:
                summary: Reprocess USDT transaction on Ethereum network
                value:
                  txn_hash: >-
                    0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef12
                  currency: USDT
                  network: ethereum
      responses:
        '204':
          description: ''
          content:
            application/json:
              schema:
                description: Reprocess started successfully. No response body is returned.
                type: string
        '400':
          description: ''
          content:
            application/json:
              schema:
                description: Gateway error response wrapper.
                properties:
                  error_code:
                    description: >-
                      Error code identifying the failure. Gateway codes:
                      'ERR_0001'=internal error, 'ERR_0003'=bad request,
                      'ERR_0004'=not found, 'ERR_0006'=service unavailable,
                      'ERR_0008'=unauthorized, 'ERR_0009'=forbidden,
                      'ERR_0010'=method not allowed, 'ERR_0012'=too many
                      requests.
                    type: string
                    example: ERR_0008
                  message:
                    description: Human-readable error message.
                    type: string
                    example: Invalid Gateway JWT
                  data:
                    description: >-
                      Null for most errors. May contain field-level validation
                      errors as an object with a `detail` array.
                    type: object
                    example: null
                required:
                  - error_code
                  - message
                  - data
                type: object
        '401':
          description: Error response 401
        '403':
          description: Error response 403
        '409':
          description: ''
          content:
            application/json:
              schema:
                description: Gateway error response wrapper.
                properties:
                  error_code:
                    description: >-
                      Error code identifying the failure. Gateway codes:
                      'ERR_0001'=internal error, 'ERR_0003'=bad request,
                      'ERR_0004'=not found, 'ERR_0006'=service unavailable,
                      'ERR_0008'=unauthorized, 'ERR_0009'=forbidden,
                      'ERR_0010'=method not allowed, 'ERR_0012'=too many
                      requests.
                    type: string
                    example: ERR_0008
                  message:
                    description: Human-readable error message.
                    type: string
                    example: Invalid Gateway JWT
                  data:
                    description: >-
                      Null for most errors. May contain field-level validation
                      errors as an object with a `detail` array.
                    type: object
                    example: null
                required:
                  - error_code
                  - message
                  - data
                type: object
                example:
                  data: null
                  error_code: NET_0400
                  message: La red proporcionada no es válida. NET_0400
        '429':
          description: ''
          content:
            application/json:
              schema:
                description: Gateway error response wrapper.
                properties:
                  error_code:
                    description: >-
                      Error code identifying the failure. Gateway codes:
                      'ERR_0001'=internal error, 'ERR_0003'=bad request,
                      'ERR_0004'=not found, 'ERR_0006'=service unavailable,
                      'ERR_0008'=unauthorized, 'ERR_0009'=forbidden,
                      'ERR_0010'=method not allowed, 'ERR_0012'=too many
                      requests.
                    type: string
                    example: ERR_0008
                  message:
                    description: Human-readable error message.
                    type: string
                    example: Invalid Gateway JWT
                  data:
                    description: >-
                      Null for most errors. May contain field-level validation
                      errors as an object with a `detail` array.
                    type: object
                    example: null
                required:
                  - error_code
                  - message
                  - data
                type: object
        '503':
          description: ''
          content:
            application/json:
              schema:
                description: Gateway error response wrapper.
                properties:
                  error_code:
                    description: >-
                      Error code identifying the failure. Gateway codes:
                      'ERR_0001'=internal error, 'ERR_0003'=bad request,
                      'ERR_0004'=not found, 'ERR_0006'=service unavailable,
                      'ERR_0008'=unauthorized, 'ERR_0009'=forbidden,
                      'ERR_0010'=method not allowed, 'ERR_0012'=too many
                      requests.
                    type: string
                    example: ERR_0008
                  message:
                    description: Human-readable error message.
                    type: string
                    example: Invalid Gateway JWT
                  data:
                    description: >-
                      Null for most errors. May contain field-level validation
                      errors as an object with a `detail` array.
                    type: object
                    example: null
                required:
                  - error_code
                  - message
                  - data
                type: object
                example:
                  data:
                    - code: TXN_0500
                      detail: Ocurrio un error al reprocesar la transaccion. TXN_0500
                  error_code: ERR_0006
                  message: Service unavailable

````